Bug 153126 - ls needs a better way to specify columns (suggest ---columns parameter)
ls needs a better way to specify columns (suggest ---columns parameter)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-01 13:59 EST by Brian "netdragon" Bober
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-18 09:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian "netdragon" Bober 2005-04-01 13:59:59 EST
Description of problem:

ls has no way to individually specify columns, yet it attempts to do so with
various parameters like -gG, etc, but doesn't go all the way. The only
alternative is find through the clunky --printf statement.

I suggest a --columns= parameter with a comma deliminated list of the columns
you want, including size, blocks, time, name, basename, user, group, etc.
Comment 1 Tim Waugh 2005-04-18 09:52:39 EDT
Please report this upstream.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.